#include <iostream>

using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int m=k,q=n-1;
    while(m>=q)
    {
        m-=q;
        q--;
    }
    q++;
    for(int i=0;i<m;i++) cout << 1 << " ";
    for(int i=0;i<q-m-1;i++) cout << 2 << " ";
    int brojac=0;
    for(int i=1+x;brojac<n-q+1;i+=x)
    {
        cout << i << " ";
        brojac++;
    }
    return 0;
}